## systemimager 3.2.2-3

=== debian/changelog ===
systemimager (3.2.2-3) unstable; urgency=low

  * Include patch from Ian Wienand that fixes DNS lookups on ia64.
    Closes: #252207

 -- dann frazier <dannf@debian.org>  Sun, 13 Jun 2004 21:17:45 -0600

systemimager (3.2.2-2) unstable; urgency=low

  * remove ia64 build-dep on gcc-3.2

 -- dann frazier <dannf@debian.org>  Sat, 17 Apr 2004 15:13:47 -0600

systemimager (3.2.2-1) unstable; urgency=low

  * new upstream release
  * we can now build w/ gcc 3.3.  Closes: #236459
  * add sysutils as a build-dep.  Closes: #241970
  * depend on dosfstools.  Closes: #226891

 -- dann frazier <dannf@debian.org>  Wed, 14 Apr 2004 00:04:17 -0600

systemimager (3.2.0-2) unstable; urgency=low

  * fix systemimager-boot conflicts, which were making it uninstallable.

 -- dann frazier <dannf@debian.org>  Mon, 15 Mar 2004 09:51:30 -0700

systemimager (3.2.0-1) unstable; urgency=low

  * New upstream release

 -- dann frazier <dannf@debian.org>  Tue, 02 Mar 2004 22:30:46 -0700

systemimager (3.1.8-1) unstable; urgency=low

  * New upstream devel release

 -- dann frazier <dannf@debian.org>  Wed, 26 Nov 2003 22:42:01 -0700

systemimager (3.0.1-9) unstable; urgency=low

  * split out binary-arch & binary-indep.
    Note that the split is somewhat abnormal - the binary-arch target will
    build an arch: all package - however, the package it creates is determined
    by the build-arch.  For example, on i386 it will build
    systemimager-boot-i386-standard, and on ia64 it will build
    systemimager-boot-ia64-standard.  I think this fits the spirit of the
    split (binary-arch should build the packages that can only be built on
    this architecture), although it differs from how it is defined.
    I also realize that this won't make the buildd's happy - they don't 
    expect binary-all packages to pop out during a binary-arch build.
    However, the buildd's can't help with systemimager builds anyway,
    so I'll need to revert to P-a-S status anyway.  Closes: #208724
  * added bison as a build-dep.  Closes: #208715
  * added gettext as a build-dep.  Closes: #209302
  * add gcc-3.2 as a build-dep for ia64 (gcc 3.3 won't build the kernel)
  
 -- dann frazier <dannf@dannf.org>  Mon, 01 Sep 2003 22:54:24 -0600

systemimager (3.0.1-8) unstable; urgency=low

  * patch modutils to build w/ new lex (patch stolen from modutils pkg).
  * force gcc-3.2 to be used when building the ia64 kernel - thanks bdale. 
    Closes: #205315
  * added groff-base as a build-dep - thanks Daniel Schepler. Closes: #203998
  * install example elilo.conf - thanks taggart.  Closes: #206493
  * include libnss_dns in boel_binaries for non-x86 (non-uclibc) arches (ia64)
    so dns can be used to determine hostname

 -- dann frazier <dannf@dannf.org>  Mon, 01 Sep 2003 22:54:24 -0600

systemimager (3.0.1-7) unstable; urgency=low

  * fixes creation of autoinstallcds on ia64.
  * Fixed some getimage typos.  Closes: #198237

 -- dann frazier <dannf@dannf.org>  Sat, 21 Jun 2003 15:59:14 -0600

systemimager (3.0.1-6) unstable; urgency=low

  * added missing build-dep on groff.  Closes: #197941

 -- dann frazier <dannf@debian.org>  Thu, 19 Jun 2003 00:10:15 -0600 
	

systemimager (3.0.1-5) unstable; urgency=low

  * add support for multiple -exclude options to getimage.  Closes: #179995
  * add some more files to the default updateclient.local.exclude file
    thanks to Mark Ferlatte for pointing them out.  Closes: 188091
	
 -- dann frazier <dannf@debian.org>  Sun, 15 Jun 2003 17:33:15 -0600
	

systemimager (3.0.1-4) unstable; urgency=low

  * add patches for discover & parted so we can build w/ gcc 3.3
  * remerged the boot packages build goo into the systemimager source
    package - thanks to John Morton for the patch.  Closes: #194721
  * explicity unset $PREFIX when installing uclibc.  Closes: #191492
  * don't ignore failures when executing the binaries rule.  Closes: #195999
  * add texinfo (needed by e2fsprogs) and modutils to Build-Depends.
    Closes: #195996.  Thanks to Daniel Schepler for reporting these.
	
 -- dann frazier <dannf@debian.org>  Sat, 07 Jun 2003 14:14:13 -0600
	

systemimager (3.0.1-3) unstable; urgency=low

  * deal w/ new sfdisk printing mebibytes instead of megabytes.
    thanks to Jose Celestino.  Closes: #187397
	
 -- dann frazier <dannf@debian.org>  Sun, 06 Apr 2003 23:32:18 -0600
	

systemimager (3.0.1-2) unstable; urgency=low

  * Cleanup of the description and synopsis.  Closes: #186932
	
 -- dann frazier <dannf@debian.org>  Mon, 31 Mar 2003 21:51:45 -0700
	

systemimager (3.0.1-1) unstable; urgency=low

  * new upstream release
	
 -- dann frazier <dannf@debian.org>  Sun, 30 Mar 2003 12:34:05 -0700
	

systemimager (3.0.0-3) unstable; urgency=low

  * removed Bugs: entry from control
  * added dhcp3-server as an or'd recommend w/ dhcp.  Closes: #179305
  * versioned the dependency on systemconfigurator. Closes: #178930
  * added bug fixes stolen from stable cvs branch
  * added bc build-dep
	
 -- dann frazier <dannf@debian.org>  Sun,  2 Feb 2003 19:05:19 -0700
	

systemimager (3.0.0-2) unstable; urgency=low

  * The remember to run lintian this time release
  * add rsync security warning to addclients and getimage
  * update debian/copyright
  * stop building ps version of manual - sgml tools are broken in unstable
  * removed duplicate conffiles entries
  * moved systemimager-doc into section doc

 -- dann frazier <dannf@debian.org>  Sun, 15 Dec 2002 01:16:58 -0700

systemimager (3.0.0-1) unstable; urgency=low

  * new upstream release

 -- dann frazier <dannf@debian.org>  Sun, 08 Dec 2002 22:50:36 -0700

systemimager (2.9.5-1) experimental; urgency=low

  * new upstream release

 -- dann frazier <dannf@hp.com>  Mon, 18 Nov 2002 18:23:00 -0700

systemimager (2.9.4-2) experimental; urgency=low

  * made '/etc/init.d/netbootmond stop' exit non-zero if it never started

 -- dann frazier <dannf@debian.org>  Sat, 02 Nov 2002 12:00:16 -0700
	

systemimager (2.9.4-1) experimental; urgency=low
  

