## systemimager 3.2.3-3

=== debian/changelog ===
systemimager (3.2.3-3) unstable; urgency=low

  * The Valentin Vidic release.
  * fix updateclient excludes file transform - thanks vvidic.  Closes: #277420
  * fix typo in systemimager-client description - thanks to Florian Zumbiehl.
    Closes: #277256
  * Pass the vga boot parameter to systemconfigurator under the VGA option
    instead of specifying it in the APPEND; a requirement for newer LILOs.
    Thanks again vvidic.  Closes: #277413
  * Move to 2.4.27, removing the kernel.org tarball from this distribution
    and instead adding a build-dep on Debian's kernel-source.  The enclosed
    systemimager tarball is therefore no longer pristine upstream.
  * Remove the bcm5700 driver; it contains non-DFSG firmware
  * Fix a bug in the ssh port forwarding setup in updateclient.  And,
    again, thanks vvidic.  Closes: #277415
  * updateclient should hold open the ssh tunnel to give the rsync
    transactions a longer time to execute - thanks vvidic.  Closes: #277416
  * Force LANG=C in prepareclient, since we only know how to parse sfdisk
    output in english.

 -- dann frazier <dannf@debian.org>  Mon, 08 Nov 2004 00:47:28 -0700

systemimager (3.2.3-2) unstable; urgency=low

  * fix boot packages installability by up'ing the versions of -server
    they conflict with

 -- dann frazier <dannf@debian.org>  Thu, 15 Jul 2004 16:17:24 -0600

systemimager (3.2.3-1) unstable; urgency=low

  * New upstream release.
  * Make mkisofs & mtools dependencies instead of recommends

 -- dann frazier <dannf@debian.org>  Sun, 20 Jun 2004 23:37:57 -0600
