=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: admin
 Priority: optional
 Maintainer: dann frazier <dannf@debian.org>
-Build-Depends: bc, bin86 [i386], bison, bzip2, cramfsprogs (>= 1.1-4), debhelper (>> 2.0.0), flex, gettext, groff-base, libpopt-dev, libtool, libreadline4-dev, modutils, sysutils, texinfo, util-linux, uuid-dev
+Build-Depends: bc, bin86 [i386], bison, bzip2, cramfsprogs (>= 1.1-4), debhelper (>> 4.0.0), flex, gettext, groff-base, kernel-source-2.4.27, libpopt-dev, libtool, libreadline4-dev, modutils, sysutils, texinfo, uuid-dev
 Build-Conflicts: libc6.1-pic
 Build-Depends-Indep: bc, bzip2, debhelper (>> 2.0.0), docbook-to-man, docbook-utils, jadetex, sgmltools-lite
 Standards-Version: 3.5.7
 
 Package: systemimager-server
 Architecture: all
-Depends: ${perl:Depends}, debianutils (>= 1.7), dosfstools, libappconfig-perl, libxml-parser-perl, libxml-simple-perl, rsync, systemconfigurator (>= 2.0.1), systemimager-boot-i386-standard | systemimager-boot-ia64-standard, systemimager-common (= ${Source-Version})
-Recommends: dhcp3-server | dhcp, mkisofs, mtools
+Depends: ${perl:Depends}, debianutils (>= 1.7), dosfstools, libappconfig-perl, libxml-parser-perl, libxml-simple-perl, mkisofs, mtools, rsync, systemconfigurator (>= 2.0.1), systemimager-boot-i386-standard | systemimager-boot-ia64-standard, systemimager-common (= ${Source-Version})
+Recommends: dhcp3-server | dhcp
 Description: Automate GNU/Linux installs and upgrades over a network
  SystemImager is a set of utilities for installing GNU/Linux images to
  clients machines over the network.  Images are stored in flat files on the
@@ -27,7 +27,7 @@
  efficient.
  .
  This package contains utilities for updating a client's image from the
- server, and preparing a client for having it's image fetched by the server.
+ server, and preparing a client for having its image fetched by the server.
 
 Package: systemimager-common
 Architecture: all
@@ -52,24 +52,24 @@
  .
  This package contains documentation for SystemImager.
 
-Package: systemimager-boot-${misc:Package-Arch}-standard
-Architecture: ${misc:Real-Arch}
+Package: systemimager-boot-ia64-standard
+Architecture: all
 Recommends: systemimager-server
-Conflicts: systemimager-bin-${misc:Package-Arch}, systemimager-kernel-${misc:Package-Arch}, systemimager-initrd-${misc:Package-Arch}, systemimager-boot-standard-${misc:Package-Arch}, systemimager-server (<< 3.2.2), systemimager-server (>= 3.2.3)
-Replaces: systemimager-bin-${misc:Package-Arch}, systemimager-kernel-${misc:Package-Arch}, systemimager-initrd-${misc:Package-Arch}, systemimager-boot-standard-${misc:Package-Arch}
-Description: SystemImager boot binaries for ${misc:Package-Arch} client nodes
+Conflicts: systemimager-bin-ia64, systemimager-kernel-ia64, systemimager-initrd-ia64, systemimager-boot-standard-ia64, systemimager-server (<< 3.2.3), systemimager-server (>= 3.2.4)
+Replaces: systemimager-bin-ia64, systemimager-kernel-ia64, systemimager-initrd-ia64, systemimager-boot-standard-ia64
+Description: SystemImager boot binaries for ia64 client nodes
  SystemImager is a set of utilities for installing GNU/Linux images to
  client machines over the network.  Images are stored in flat
  files on the server, making updates easy.  rsync is used for transfers,
  making updates efficient.
  .
  This package contains the standard flavor of the boot files for installing
- ${misc:Package-Arch} machines.  This package should be installed on the image server.
+ ia64 machines.  This package should be installed on the image server.
 
 Package: systemimager-server-flamethrowerd
 Architecture: all
 Depends: systemimager-server (>=3.2.0), flamethrower
-Description: SystemImager boot binaries for ${misc:Package-Arch} client nodes
+Description: SystemImager boot binaries for ia64 client nodes
  SystemImager is a set of utilities for installing GNU/Linux images to
  client machines over the network.  Images are stored in flat
  files on the server, making updates easy.  rsync is used for transfers,
