=== debian/rules ===
--- 
+++ 
@@ -51,6 +51,23 @@
 	$(MAKE) -C $(BUILD_DIR) binaries MKCRAMFS=/usr/sbin/mkcramfs
 
 	touch build-arch-stamp
+
+test:	build-arch-stamp
+	## make sure we haven't blown the floppy size
+	## (we only support floppies on x86)
+ifeq ($(ARCH),i386)
+	$(MAKE) -C $(BUILD_DIR) check_floppy_size
+endif
+	## make sure parted doesn't segfault
+	mkdir mnt
+	mkdir testroot
+	sudo mount $(BUILD_DIR)/initrd_source/initrd mnt -o loop
+	sudo rsync -av mnt/* testroot/
+	sudo umount mnt
+	rmdir mnt
+	cd testroot && sudo tar xvfz ../$(BUILD_DIR)/tmp/boel_binaries.tar.gz
+	sudo chroot testroot /sbin/parted --version
+	sudo rm -rf testroot
 
 cleandeb:
 	-mv debian/control.orig debian/control
